/****************************************************************

file arith.h

Hashing package for Diophantine equations,
Version 1.0

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


long int gcd (long int x, long int y);
long int mod_inverse (long int x, long int modul);

/* The number theorist's modulo for n \in Z, d > 0. */
#define MOD(n, d) ((n) < 0L ? (~(~(n) % (d)) + (d)) : ((n) % (d)))

/* The maximum of two numbers. Made by hand. */
#define MAX(h, i) ((h) > (i) ? (h) : (i))
