/****************************************************************

file sporadic_lines.h

Hashing package for Diophantine equations,
Version 1.0

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


/* The known sporadic lines.

   Format:
   GER_ANZ is number of the lines encoded below.
   The first array lists the pairs (a, b) allowing sporadic lines.
   It is expected that a >= b.
   In the second array, the line is described by two points lying
   on it. */

#define GER_ANZ 5

const long int ab[GER_ANZ][2]
 = {
    {19, 18},
    {21,  6},
    {22,  5},
    {45, 18},
    {73, 17},
   };

const long int xyzvw[GER_ANZ][2][5]
 = {
    {{1,  2,  3, -3,  -5}, {0,  7,   1,  -7, -18}},
    {{1,  2,  3, -3,  -3}, {0,  9,   1, -10, -15}},
    {{1, -1,  3,  3,  -3}, {0, 27,  -4, -60,  49}},
    {{1,  1,  3,  3,  -3}, {0,  3,  -1,   3,  -8}},
    {{1,  5, -2, 11, -15}, {0, 27, -40,  85, -96}},
   };
