/****************************************************************

file hashing.h

Hashing package for Diophantine equations,
Version 1.0

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


#include"settings_hash.h"
#include"settings.h"


/* Some prototypes. */
/* Initialize two counters. */
void hashing_init ();

/* Clears the hash table and initializes the next writing cycle. */
void schreiben_init ();

/* Writes one entry into the hash table. */
void element_schreiben
   (struct nebentabellen_eintrag dat, unsigned long int linke_seite_l);

/* Closes the writing cycle. */
void schreiben_beenden ();

/* Initializes the reading cycle. */
void lesen_init ();

/* Pointer to the post_proc function. */
typedef void (*pp_fun_pointer)
 (struct nebentabellen_eintrag tab,
  struct variablen_rechts puf);
/* Writes an element into the reading buffer and executes an open
   reading step. */
void element_lesen
   (struct variablen_rechts dat, unsigned long int rechte_seite,
    pp_fun_pointer pp_fun);

/* Finishes all open reading accesses.  */
void lesen_beenden (pp_fun_pointer pp_fun);

/* Output some statistics. */
void hashing_beenden ();
