/****************************************************************

file settings_hash.h

Hashing package for Diophantine equations,
Version 1.0

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


#define HASH_BREITE              27
/* The size of the hash table is 2**HASH_BREITE. You will need
        (2 + sizeof (struct nebentabellen_eintrag)) * 2**HASH_BREITE
   bytes of memory.
   To choose a HASH_BREITE of more than 28 is likely to be
   inefficient (even if you have that much memory) as the last four
   binary digits of many expressions such as
             z**4 + v**4 + w**4
   are not random. */

#define PUFFER_LEN                2
/* Length of the prefech buffer. Must be >= 1.
   A good value needs to be found by trial and error.
   What is good depends on the latency of main memory. */

#define WITH_PREFETCH             1
/* This enables a software prefetch from the 3DNow! extension of the
   x86 instruction set. */
